30 junio 2009

Como instalar Amarok 2.1.1 "Oceania" en Ubuntu 9.04

Me gusta tener siempre las ultimas y mas recientes versiones de mis programas favoritos "se que no soy el único ;)" , pero aveces esto significa que tenemos que compilarlos por nosotros mismos.

Si quieres tener la nueva version de
Amarok 2.1.1 "Oceania" sigue estos sencillos pasos que encontré en rm -rf/

http://amarok.kde.org/sites/default/themes/amarok/logo.png

Como instalar Amarok 2.1.1 "Oceania" en Ubuntu 9.04

Primero lo primero, necesitamos cumplir con ciertos paquetes y librerías para poder compilar la aplicacion asi que empecemos por añadirlos:

Abrimos una terminal he instalamos las librerias con:
sudo apt-get build-dep amarok

Otros paquetes necesarios:
sudo apt-get install libtag-extras-dev libmysql++-dev libgdk-pixbuf-dev libgtk2.0-dev

Bien ahora que ya tenemos los requisitos vamos a descargar el código fuente de aqui - Amarok

Esperamos a que se descargue y luego lo descomprimimos.

Ahora antes de continuar tenemos que desinstalar las versiones anteriores de Amarok

Puedes hacerlo mediante el siguiente comando:
"En caso de que tengas una versión anterior"
sudo apt-get remove --purge amarok

Nota: Esta opción borrará toda la configuración anterior de Amarok, scripts, puntuaciones, etc. Salta este paso si quieres conservarlos
rm -rf ~/.kde/share/apps/amarok/
rm ~/.kde/share/config/amarok*

Ahora vamos a compilar la aplicacion, abre una terminal y ve al directorio de amarok-2.1.1, luego insertaremos lo siguiente "en orden":
cmake -DCMAKE_INSTALL_PREFIX=/usr
make
sudo make install

Listo ahora tienes Amarok 2.1.1 en Ubuntu que lo disfrutes un saludo!!!

5 comentarios:

Sergio dijo...

Pues segu todo y al final de configurar me sale este emnsaje...

-- The following REQUIRED packages could NOT be located on your system.
-- Please install them before continuing this software installation.
-----------------------------------------------------------------------------
+ qtscript-qt: QtScript Qt Bindings
-----------------------------------------------------------------------------
CMake Error at /usr/share/kde4/apps/cmake/modules/MacroLogFeature.cmake:93 (MESSAGE):
Exiting: Missing Requirements
Call Stack (most recent call first):
CMakeLists.txt:114 (macro_display_feature_log)


-- Configuring incomplete, errors occurred!

¿como puedo solucionarlo???

kaeltas dijo...

Hola sergio se soluciona instalando qt, recuerda que Amarok es en realidad de KDE, los sistemas Ubuntu con Gnome usan GTK,si quieres abrir los programas y aplicaciones de kde en ubuntu necesitas tener qt para que sea su manejador

Un saludo!

davyd dijo...

Yo tengo el mismo problema que sergio.
Alto Elfo Kaeltas, dinos especificamente como instalar qt por favor
gracias

pacho52 dijo...

hola kaeltas:como hago para ir al directorio de amark 2.1.1 "Oceania"Para Ubuntu 9.04,si solo me falta la ultima parte para concluir la config de amarok??

Joya dijo...

el tutorial es claro claro, pero yo tengo qt y aun así me dice que me faltan cositas :( ahí me he quedado :) seguiré mirando, que hoy le he dedicado ya dos horitas saturantes :P